Subject: Re: bug#1171: #1171 - ns-version-string - Emacs bug report logs

From: Glenn Morris <[email-masked]>
Date: Wed, 22 Oct 2008 13:05:14 -0400

Adrian Robert wrote:

> There are four other files where I replaced 9.0 with 23.0.60 or  
> variants of it.  Eventually it would be nice to do this automatically  
> with autoconf. 

M-x set-version from admin/admin.el does this kind of thing.
I can add entries for the places you just added at some point.

> In this case it is important NOT to include the extra .# build
> number that emacs' build system generates. This, by itself, *should*
> be used for the CFBundleVersion in the Cocoa Info.plist however.
>
> nextstep/Cocoa/Emacs.base/Contents/Info.plist
> nextstep/Cocoa/Emacs.base/Contents/Resources/English.lproj/ 
> InfoPlist.strings
> nextstep/GNUstep/Emacs.base/Resources/Emacs.desktop
> nextstep/GNUstep/Emacs.base/Resources/Info-gnustep.plist